{% set idAO = consultation.NO_AO %}
<details open class="block_edition clearfix" id="divEntete">
	<summary class="titre_block">
		{% if consultation.RFI_Q == 'I' %}
			{{ 'Entête RFI' | trad }}
		{% elseif consultation.RFI_Q == 'P' %}
			{{ 'Entête RFP' | trad }}
		{% else %}
			{{ 'Entête RFQ' | trad }}
		{% endif %}
		{{ consultation.NO_AO }}
	</summary>
	<div class="clearfix">

		<div class="menucont-container" style="position: absolute; right: 10px; {% if canEdit == false %}display:none;{% endif %}" >
			<span class="menu_contextuel_v2 "></span>
			<ul class="menucont-box-simple" data-hover-show>
				{% for item in [
					{label: 'Questionnaires' | trad, field: 'COMP_QUEST', onglet: 'ongletQst'},
					{label: 'Documents de la consultation' | trad, field: 'COMP_PJ', onglet: 'ongletDocConsult'},
					{label: 'Documents de la réponse' | trad, field: 'COMP_DOC_ATT', onglet: 'ongletDocRep'},
					{
						label: 'Documents internes' | trad,
						field: 'COMP_DOC_INT',
						onglet: 'ongletDocInt',
						disabled: consultation.ACC_CONF | boolSql 
					},
				] %}
				<li style="display: flex; margin-left: 1em; align-items: center; justify-content: start">
					<input type="checkbox" data-zone="{{ item.onglet }}" 
						class="checkBoxCompo" 
						style="margin-right:10px; margin-top: -2px; cursor: pointer" 
						{{ consultation[ item.field ] | boolSql 
							or item.disabled ? 'checked' }}
						{{ item.disabled ? 'disabled' }}
					>
					<label>
						{{ item.label }}
					</label>
				</li>
				{% endfor %}
			</ul>
			<script>
				$('.checkBoxCompo').change(function(){
					activeLoader();
					let isactive = false;
					if ($(this).is(':checked')) {
						if($(this).data('zone') == 'ongletQst') {
							$('#'+$(this).data('zone')+'1').show();
							$('#'+$(this).data('zone')+'2').show();
						} else {
							$('#'+$(this).data('zone')).show();
						}
						var statut = 'show';
					} else {
						if($(this).data('zone') == 'ongletQst') {
							$('#'+$(this).data('zone')+'1').hide();
							$('#'+$(this).data('zone')+'2').hide();
							if($('#'+$(this).data('zone')+'1').hasClass('active') || $('#'+$(this).data('zone')+'2').hasClass('active')) {
								isactive = true;
							}
						} else {
							$('#'+$(this).data('zone')).hide();
							if($('#'+$(this).data('zone')).hasClass('active')) {
								isactive = true;
							}
						}
						var statut = 'hide';
					}
					
					$.ajax({
						dataType : 'html',
						url: '{{ path('Consultation.Consultation.ajaxUpdateComp', {idAO:idAO}) }}',
						data: {'COMPOSANT' : $(this).data('zone'), 'STATUT': statut},
						type: "POST",
						success: function(result){
							if(isactive) {
								redirectJSWithPost('{{ path("Consultation.Consultation.details", {idAO:idAO}) }}');
							} else {
								desactiveLoader();
							}
						}
					});
				});
			</script>
		</div>
		<div class="colonne2">
			<div class="informations">
				<p>
					<span class="champs_label">{{ 'Titre' | trad }}</span>
					<span class="resultat">{{ shortLibelle(consultation.OBJET_AO) }}</span>
				</p>
				<p>
					<span class="champs_label">{{ 'Centre émetteur' | trad }}</span>
					<span class="resultat">{{ consultation.RAIS_SOC }} ({{ consultation.EMETTEUR }})</span>
				</p>
				<p>
					<span class="champs_label">{{ 'Publication générale sur le portail fournisseur ?' | trad }}</span>
					<span class="resultat">{{ consultation.AO_PUBLIC | boolTrad }} </span>
				</p>
				<p>
					<span class="champs_label">{{ 'Statut' | trad }}</span>
					<span class="resultat">
						{% if consultation.DTE_VALID_AO == '00000000' %}
							{{ 'Préparation' | trad }}
						{% elseif consultation.VALCHXFOU == '00000000' %}
							{{ 'En cours' | trad}}
						{% else %}
							{{ 'Terminé' | trad }}
						{% endif %} 
					</span>
				</p>
				<p>
					<span class="champs_label">{{ 'Accord de confidentialité ?' | trad }}</span>
					<span class="resultat">{{ consultation.ACC_CONF | boolSql | boolTrad }}</span>
				</p>
				<p>
					<span class="champs_label">{{ 'Commentaires' | trad }}</span>
					<span class="resultat">{{ consultation.Commentaire }}</span>
				</p>
			</div>

		</div>
		<div class="colonne2 last">
			<div class="informations">
				<p>
					<span class="champs_label">{{ 'Date de lancement le' | trad }}</span>
					<span class="resultat">{{ consultation.DTE_LANCEMENT | dateTrad }}</span>
				</p>
				<p>
					<span class="champs_label">{{ 'Date de clôture le' | trad }}</span>
					<span class="resultat">{{ consultation.DEL_REP | dateTrad }}</span>
				</p>
				<p>
					<span class="champs_label">{{ 'Acheteur' | trad }}</span>
					<span class="resultat">{{ consultation.ACHETEUR }} ({{ consultation.ACH }})</span>
				</p>
				<p>
					<span class="champs_label">{{ 'Prescripteur' | trad }}</span>
					<span class="resultat">{% if consultation.PRESCRIPTEUR %} {{ consultation.NOM_PRESCRIPTEUR }} ({{ consultation.PRESCRIPTEUR }}){% endif %}</span>
				</p>
				<p>
					<span class="champs_label">{{ 'Budget global' | trad }}</span>
					<span class="resultat">{{ consultation.BUDG_ENT | prix }} {{ consultation.DEVISE }}</span>
				</p>
				<p>
					<span class="champs_label">{{ 'Variante autorisé ?' | trad }}</span>
					<span class="resultat">{{ consultation.VARIANTE | boolSql | boolTrad }}</span>
				</p>
				<p>
					<span class="champs_label">{{ 'Réponse obligatoire dans la devise de la consultation ?' | trad }}</span>
					<span class="resultat">{{ consultation.REPDEV | boolSql | boolTrad }}</span>
				</p>
			</div>
		</div>
	</div>
	{# TODO: Continuer #}
	<script>
		$('#checkbox_emailauto').change(function(){
			activeLoader();		
			if ($(this).is(':checked')) {
				let statut = 'show';
			} else {
				let statut = 'hide';
			}
			$.ajax({
				dataType : 'html',
				url: '{{ path('Consultation.Consultation.ajaxUpdateComp', {idAO:idAO}) }}',
				data: {'VALUE' : $(this).val(), 'STATUT': statut},
				type: "POST",
				success: function(result){
					desactivedLoader();
				}
			});
		});
	</script>
	{{ VisualisationCS('AO_ENTET', str_pad(consultation.NO_AO, 9, 0, 'STR_PAD_LEFT'), null, false, 'colonne2 last', consultation.CODE_STE) }}
</details>

<script>
	addEventListener("DOMContentLoaded", () => {
		updateNavBar();
	});
	
	function updateNavBar()
	{
		$('.checkBoxCompo').each(function()	{
			if ($(this).is(':checked')) {
				if($(this).data('zone') == 'ongletQst') {
					$('#'+$(this).data('zone')+'1').show();
					$('#'+$(this).data('zone')+'2').show();
				} else {
					$('#'+$(this).data('zone')).show();
				}
				let statut = 'show';
			} else {
				if($(this).data('zone') == 'ongletQst') {
					$('#'+$(this).data('zone')+'1').hide();
					$('#'+$(this).data('zone')+'2').hide();
				} else {
					$('#'+$(this).data('zone')).hide();
				}
				let statut = 'hide';
			}
		});
	}
</script>

{% if not withNavbar %}

	{{ arianeSub() }}

{% endif %}